/***************************************************************************
                          callback.h  -  description
                             -------------------
    begin                : Fri Jun 04 2004
    copyright            : (C) 2004 by Martin Preuss
    email                : martin@libchipcard.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This library is free software; you can redistribute it and/or         *
 *   modify it under the terms of the GNU Lesser General Public            *
 *   License as published by the Free Software Foundation; either          *
 *   version 2.1 of the License, or (at your option) any later version.    *
 *                                                                         *
 *   This library is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     *
 *   Lesser General Public License for more details.                       *
 *                                                                         *
 *   You should have received a copy of the GNU Lesser General Public      *
 *   License along with this library; if not, write to the Free Software   *
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston,                 *
 *   MA  02111-1307  USA                                                   *
 *                                                                         *
 ***************************************************************************/

/*
 */

#ifndef HBCICALLBACK_H
#define HBCICALLBACK_H

#include <gwenhywfar/waitcallback.h>
#include <openhbci2/hbci.h>

#ifdef __cplusplus
extern "C" {
#endif

typedef struct HBCI_CALLBACK HBCI_CALLBACK;

GWEN_WAITCALLBACK *HBCI_Callback_new(const char *id,
                                     HBCI_Hbci *hbci);


#ifdef __cplusplus
}
#endif

#endif



