/***************************************************************************
  $RCSfile: msgenginehbci.h,v $
  -------------------
  cvs         : $Id: msgenginehbci.h,v 1.2 2003/11/22 20:09:01 aquamaniac Exp $
  begin       : Mon Jul 07 2003
  copyright   : (C) 2003 by Martin Preuss
  email       : martin@libchipcard.de

 ***************************************************************************
 *                                                                         *
 *   This library is free software; you can redistribute it and/or         *
 *   modify it under the terms of the GNU Lesser General Public            *
 *   License as published by the Free Software Foundation; either          *
 *   version 2.1 of the License, or (at your option) any later version.    *
 *                                                                         *
 *   This library is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     *
 *   Lesser General Public License for more details.                       *
 *                                                                         *
 *   You should have received a copy of the GNU Lesser General Public      *
 *   License along with this library; if not, write to the Free Software   *
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston,                 *
 *   MA  02111-1307  USA                                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef MSGENGINEHBCI_H
#define MSGENGINEHBCI_H


/* maximum number of signatures per message */
#define MSGENGINE_HBCI_MAXSIG 32
#define MSGENGINE_HBCI_MAXSIZE 8192


#include <gwenhywfar/msgengine.h>

#include "msgxml.h"

#ifdef __cplusplus
extern "C" {
#endif

GWEN_MSGENGINE *MsgEngineHBCI_new(HBCI_MessageEngineXML *x);
void MsgEngineHBCI_free(GWEN_MSGENGINE *e);

#ifdef __cplusplus
}
#endif


#endif


